/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import org.cocktail.kaki.common.KakiIcones;

/**
 *
 * @author  cpinsard
 */
public class DetailEngagementView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	/** Creates new form TemplateJDialog */
    public DetailEngagementView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tfIdEngagement = new javax.swing.JTextField();
        buttonClose = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        tfLigneBudgetaire = new javax.swing.JTextField();
        buttonSolder = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        tfLibelleEngagement = new javax.swing.JTextField();
        tfNumeroEngagement = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        buttonModifier = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        tfMontant = new javax.swing.JLabel();
        tfDisponible = new javax.swing.JLabel();
        tfTitre = new javax.swing.JTextField();
        tfReste = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        tfSommeAEngager = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Détail Engagement");
        setResizable(false);

        tfIdEngagement.setEditable(false);
        tfIdEngagement.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfIdEngagement.setToolTipText("Libellé du code");

        buttonClose.setText("Fermer");
        buttonClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCloseActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Ligne budgétaire :");

        tfLigneBudgetaire.setEditable(false);
        tfLigneBudgetaire.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfLigneBudgetaire.setToolTipText("Code Element");

        buttonSolder.setText("Solder");
        buttonSolder.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonSolderActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Identifiant :");

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Libellé :");

        tfLibelleEngagement.setEditable(false);
        tfLibelleEngagement.setToolTipText("Libellé Court");

        tfNumeroEngagement.setEditable(false);
        tfNumeroEngagement.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfNumeroEngagement.setToolTipText("Libellé du code");

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("Numéro :");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Montant Budgétaire Total :");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Reste :");

        buttonModifier.setText("Modifier");
        buttonModifier.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonModifierActionPerformed(evt);
            }
        });

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Disponible :");

        tfMontant.setFont(new java.awt.Font("Tahoma", 1, 14));
        tfMontant.setForeground(new java.awt.Color(51, 51, 255));
        tfMontant.setText("10000,56 €");

        tfDisponible.setFont(new java.awt.Font("Tahoma", 1, 14));
        tfDisponible.setForeground(new java.awt.Color(51, 51, 255));
        tfDisponible.setText("10000,56 €");

        tfTitre.setBackground(new java.awt.Color(102, 102, 102));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        tfTitre.setForeground(new java.awt.Color(204, 204, 255));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("Détail ENGAGEMENT");
        tfTitre.setBorder(null);
        tfTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreActionPerformed(evt);
            }
        });

        tfReste.setFont(new java.awt.Font("Tahoma", 1, 14));
        tfReste.setForeground(new java.awt.Color(255, 153, 153));
        tfReste.setText("10000,56 €");

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Somme à engager :");

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(153, 153, 153));
        jLabel1.setText("* Cette somme venant s'ajouter ou se déduire au reste engagé");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 138, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(tfLigneBudgetaire))
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 138, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(tfLibelleEngagement))
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 138, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(tfIdEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(tfNumeroEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(layout.createSequentialGroup()
                                .add(buttonSolder, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 138, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 147, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 138, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfReste, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 147, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(57, 57, 57)
                                .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(8, 8, 8)
                                .add(tfDisponible, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 137, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfSommeAEngager, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 112, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(326, 326, 326)
                        .add(buttonClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(tfTitre))
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .add(84, 84, 84)
                .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 332, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(25, 25, 25)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfLigneBudgetaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(tfIdEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel14)
                    .add(tfNumeroEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(11, 11, 11)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12)
                    .add(tfLibelleEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(tfMontant))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(tfReste))
                .add(10, 10, 10)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(tfDisponible))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel13)
                    .add(tfSommeAEngager, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 24, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(buttonSolder)
                        .add(buttonModifier))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, buttonClose))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-424)/2, (screenSize.height-367)/2, 424, 367);
    }// </editor-fold>//GEN-END:initComponents

private void buttonCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCloseActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonCloseActionPerformed

private void buttonSolderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonSolderActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonSolderActionPerformed

private void buttonModifierActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonModifierActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonModifierActionPerformed

private void tfTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfTitreActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                DetailEngagementView dialog = new DetailEngagementView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton buttonClose;
    protected javax.swing.JButton buttonModifier;
    protected javax.swing.JButton buttonSolder;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel tfDisponible;
    protected javax.swing.JTextField tfIdEngagement;
    protected javax.swing.JTextField tfLibelleEngagement;
    protected javax.swing.JTextField tfLigneBudgetaire;
    private javax.swing.JLabel tfMontant;
    protected javax.swing.JTextField tfNumeroEngagement;
    private javax.swing.JLabel tfReste;
    private javax.swing.JTextField tfSommeAEngager;
    private javax.swing.JTextField tfTitre;
    // End of variables declaration//GEN-END:variables

 
    private void initGui() {
        
        buttonClose.setIcon(KakiIcones.ICON_CLOSE);
    	buttonSolder.setIcon(KakiIcones.ICON_UPDATE);
    	buttonModifier.setIcon(KakiIcones.ICON_UPDATE);


    }

    

	public javax.swing.JLabel getTfDisponible() {
		return tfDisponible;
	}

	public void setTfDisponible(javax.swing.JLabel tfDisponible) {
		this.tfDisponible = tfDisponible;
	}

	public javax.swing.JLabel getTfMontant() {
		return tfMontant;
	}

	public void setTfMontant(javax.swing.JLabel tfMontant) {
		this.tfMontant = tfMontant;
	}

	public javax.swing.JLabel getTfReste() {
		return tfReste;
	}

	public void setTfReste(javax.swing.JLabel tfReste) {
		this.tfReste = tfReste;
	}

	public javax.swing.JTextField getTfSommeAEngager() {
		return tfSommeAEngager;
	}

	public void setTfSommeAEngager(javax.swing.JTextField tfSommeAEngager) {
		this.tfSommeAEngager = tfSommeAEngager;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public javax.swing.JButton getButtonClose() {
		return buttonClose;
	}

	public void setButtonClose(javax.swing.JButton buttonClose) {
		this.buttonClose = buttonClose;
	}


	public javax.swing.JButton getButtonModifier() {
		return buttonModifier;
	}

	public void setButtonModifier(javax.swing.JButton buttonModifier) {
		this.buttonModifier = buttonModifier;
	}

	public javax.swing.JButton getButtonSolder() {
		return buttonSolder;
	}

	public void setButtonSolder(javax.swing.JButton buttonSolder) {
		this.buttonSolder = buttonSolder;
	}

	public javax.swing.JTextField getTfIdEngagement() {
		return tfIdEngagement;
	}

	public void setTfIdEngagement(javax.swing.JTextField tfIdEngagement) {
		this.tfIdEngagement = tfIdEngagement;
	}

	public javax.swing.JTextField getTfLibelleEngagement() {
		return tfLibelleEngagement;
	}

	public void setTfLibelleEngagement(javax.swing.JTextField tfLibelleEngagement) {
		this.tfLibelleEngagement = tfLibelleEngagement;
	}

	public javax.swing.JTextField getTfLigneBudgetaire() {
		return tfLigneBudgetaire;
	}

	public void setTfLigneBudgetaire(javax.swing.JTextField tfLigneBudgetaire) {
		this.tfLigneBudgetaire = tfLigneBudgetaire;
	}

	public javax.swing.JTextField getTfNumeroEngagement() {
		return tfNumeroEngagement;
	}

	public void setTfNumeroEngagement(javax.swing.JTextField tfNumeroEngagement) {
		this.tfNumeroEngagement = tfNumeroEngagement;
	}
}
